commit 0763c772c2198c6eeefd9d62a1bb1912cc8ebc09
Author: freddy77 <freddy77>
Date:   Tue Aug 18 12:23:41 2009 +0000

    autobuild script update

diff --git a/ChangeLog b/ChangeLog
index 0fb54fb..99733bc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Tue Aug 18 14:23:46 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* misc/freetds_autobuild:
+	- remove 0.64 support
+	- reuse a new function
+
 Tue Aug 18 13:09:13 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/query.c: fix empty string binding for Sybase
 
@@ -1722,4 +1727,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2840 2009/08/18 11:09:13 freddy77 Exp $
+$Id: ChangeLog,v 1.2841 2009/08/18 12:23:41 freddy77 Exp $
diff --git a/misc/freetds_autobuild b/misc/freetds_autobuild
index 17b9ab1..f77f187 100755
--- a/misc/freetds_autobuild
+++ b/misc/freetds_autobuild
@@ -15,8 +15,6 @@ OUTDIR=out
 # additional flags for Autogen (current version)
 #FLAGS_ADD=--enable-developing
 FLAGS_ADD=
-# additional flags for Autogen (old version)
-FLAGS_ADD_OLD=
 WORKDIR=ftds_comp
 
 upload()
@@ -64,6 +62,14 @@ read_pwd_fields()
 	tDB=`grep '^DB=' < PWD | sed 's,^...,,'`
 }
 
+init_log()
+{
+	rm -rf logs
+	mkdir logs
+	touch logs/log.txt
+	ln -f logs/log.txt ../${WORKDIR}_log.txt
+}
+
 rm ~/freetds.log /tmp/sql.log
 
 ignore=
@@ -74,12 +80,6 @@ do
 	$ignore)
 		ignore=
 		;;
-	--previous)
-		OUTDIR=out0
-		FTDSDIR=freetds64
-		FLAGS_ADD="$FLAGS_ADD_OLD"
-		WORKDIR=ftds_comp_old
-		;;
 	--version)
 		ignore=$1
 		OUTDIR=out$1
@@ -129,11 +129,10 @@ cp -f ../PWD PWD
 read_pwd_fields
 make clean
 export LD_LIBRARY_PATH=$PWD/src/odbc/.libs/
-rm -rf logs
-mkdir logs
-./misc/test-auto.sh > logs/log.txt
+init_log
+./misc/test-auto.sh >> logs/log.txt
 
-if test "$OUTDIR" = "out" -a -r doc/doxy.log; then
+if test \( "$OUTDIR" = "out" -o "$OUTDIR" = "out82" \) -a -r doc/doxy.log; then
 	fixdoxyres < doc/doxy.log > doc/doxy.html
 	upload_file "doxy.html" "doc/doxy.html"
 	if test -d doc/doc/freetds-*/reference; then
@@ -206,40 +205,34 @@ fi
 # do tests with sybase server
 cp -f ../PWD.sybase PWD
 read_pwd_fields
-rm -rf logs
-mkdir logs
-./misc/test-auto.sh --no-build > logs/log.txt
+init_log
+./misc/test-auto.sh --no-build >> logs/log.txt
 cd logs
 ../misc/online.pl < log.txt
 upload "$OUTDIR/test2" '*.html'
 cd ..
 
 # do tests with sybase 15 server
-if test "$OUTDIR" != "out0"; then
-	cp -f ../PWD.sybase15 PWD
-	read_pwd_fields
-	rm -rf logs
-	mkdir logs
-	./misc/test-auto.sh --no-build > logs/log.txt
-	cd logs
-	../misc/online.pl < log.txt
-	upload "$OUTDIR/test3" '*.html'
-	cd ..
-fi
+cp -f ../PWD.sybase15 PWD
+read_pwd_fields
+init_log
+./misc/test-auto.sh --no-build >> logs/log.txt
+cd logs
+../misc/online.pl < log.txt
+upload "$OUTDIR/test3" '*.html'
+cd ..
 
 # test autodiscovery
-if test "$OUTDIR" != "out0"; then
-	save_coverage
-	# using tsql directly with grep do not update coverage informations
-	echo -e 'select @@version\ngo\nbye' | TDSVER=0.0 ./src/apps/tsql -S "$tSRV" -U "$tUID" -P "$tPWD" > out.txt || true
-	if grep -q 'Adaptive Server Enterprise' out.txt; then
-		echo "autodiscovery ok"
-	else
-		echo "autodiscovery failed!"
-		restore_coverage
-	fi
-	rm -f out.txt
+save_coverage
+# using tsql directly with grep do not update coverage informations
+echo -e 'select @@version\ngo\nbye' | TDSVER=0.0 ./src/apps/tsql -S "$tSRV" -U "$tUID" -P "$tPWD" > out.txt || true
+if grep -q 'Adaptive Server Enterprise' out.txt; then
+	echo "autodiscovery ok"
+else
+	echo "autodiscovery failed!"
+	restore_coverage
 fi
+rm -f out.txt
 
 # restore PWD file
 cp -f ../PWD PWD

